Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000109 [SkyOS 5.0 - Beta] GUI feature always 2004-06-08 20:54 2004-10-06 14:58
Reporter centimetre View Status public  
Assigned To robert
Priority normal Resolution fixed  
Status resolved  
Summary 0000109: Tab Ordering Support in Widgets
Description At the moment it is not possible to easily move between the
controls in a window. I can see two possible ways of
resolving this but will defer to your judgement as you know
the underlying code.

1) Tabbing will be automatically handled for any control
except the complex edit control this would be triggered when
the enter or tab key is pressed and would either be based on
the order controls are added or a new tab order property
would be added. The added complexity with this is when you
have controls within a control as they potentially would have
there own tab order.

2) Add the following messages that are sent to the parent
message handler TAB_PRESSED and ENTER_PRESSED (each would
have the HANDLE of the current control as a parameter) this
would then allow the developer to handle the messages and
determine what to do next. There would also need to be a
SetFocus function that would be passed the HANDLE to the
control to set the focus to. The advantage of this approach
is that the developer then has complete control over what
happens, they would be able to ignore the message if a
validation on the current control failed, they could also
select the next control based on the entry of the field etc.

I would prefer option 2 as it seems more flexible and would
require a lot less programming on the GUI.

Additional Information I have added it here as well just so that it is recorded.
Tags No tags attached.
Environment
Reported for build
Fixed in build
VersionType
Attached Files

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2004-06-08 20:54 centimetre New Issue
2004-06-28 15:09 robert Project @1@ => @2@
2004-07-07 11:21 robert Status new => resolved
2004-07-07 11:21 robert Resolution open => fixed
2004-07-07 11:21 robert Assigned To => robert
2004-10-06 14:58 robert Project @2@ => SkyOS 5.0 - Beta


Mantis 1.1.4[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker